import { CustomPresetYaml } from './ModelCustomPresetYaml.js';
export declare class CryptoCustomPreset {
    /**
     *  暗号化
     * @param {CustomPresetYaml} yaml addresses.yaml
     * @param {string} passwd パスワード
     * @returns void
     */
    static encrypt(yaml: CustomPresetYaml, passwd: string): void;
    /**
     *  復号化
     * @param {CustomPresetYaml} yaml addresses.yaml
     * @param {string} passwd パスワード
     * @returns {boolean} 暗号化可能か
     */
    static tryDecrypt(yaml: CustomPresetYaml, passwd: string): boolean;
    /**
     * 無効項目判定
     * @param item {string} 項目
     * @returns true: 無効
     */
    private static isEnabledItem;
}
